%YAML:1.0

single_trial_threads: 8
worker_threads: 14

main_folder: "/home/data/images_calib_v2_2nd"
left_relative_path: "left"
left_color_relative_path: "left"
right_relative_path: "center"

disparity_normalized_relative_path: "image_disparity_normalized/short"
disparity_relative_path: "image_disparity/short"
disparity_filestorage_relative_path: "image_disparity_filestorage/short"
pcd_relative_path: "pcd/short"
pcd_filtered_relative_path: "pcd_filtered/short"
background_masks_relative_path: "background_masks/short"

start_frame: 0
stop_frame: 6000

#start_frame: 100
#stop_frame: 5000


calculate_stereo: 1
min_disparity: 10
max_disparity: 6
SAD: 7
SGMp1: 600 #8*1*SAD*SAD
SGMp2: 2200 #32*1*SAD*SAD
disp12_max_diff: 5
pre_filter_cap: 5
unique: 15
speckle_window: 250
speckle_range: 3
fullDP: 1

calculate_3d_points: 1
calculate_background_subtration: 1

use_filtering: 1

use_range: 1
x_max: 1e6
x_min: -1e6
y_max: 2
y_min: -2
z_max: 6
z_min: 0

use_background_subtraction: 1
background_history: 60
background_threshold: 50.0
background_learningRate: 0.05
background_backgroundRatio: 0.01
background_fVarInit: 15
background_fCT: 0.05
background_fTau: 0.10
close_size: 2
use_groundplane_estimation: 0
max_iterations: 150
distance_threshold: 0.08

#With calib v2
camera_cx: 630.422769
camera_cy: 477.943149

camera_fx: 1034.241465
camera_fy: 1033.663453

base_line: 0.116593528
